Bug 2063389 - Lenovo ThinkBook 14s Yoga ITL s2idle fails when Bluetooth enabled in 5.17.0-0.rc7.116.fc36, works in 5.16.13-200.fc35 and earlier versions
Summary: Lenovo ThinkBook 14s Yoga ITL s2idle fails when Bluetooth enabled in 5.17.0-0...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-03-12 03:51 UTC by Robin Lee
Modified: 2023-05-25 17:01 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-05-25 17:01:02 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
journalctl --no-hostname -k (122.05 KB, text/plain)
2022-03-12 03:51 UTC, Robin Lee
no flags Details

Description Robin Lee 2022-03-12 03:51:46 UTC
Created attachment 1865614 [details]
journalctl --no-hostname -k

1. Please describe the problem:
After upgraded to F36 with kernel 5.17.0-0.rc7.116.fc36, s2idle fails to work.
System just restore at once after suspend to menory.

2. What is the Version-Release number of the kernel:
5.17.0-0.rc7.116.fc36

3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 :
Works in 5.16.13-200.fc35 and earlier versions 

4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:
Always. Just run 'systemctl suspend'.

5. Does this problem occur with the latest Rawhide kernel? To install the
   Rawhide kernel, run ``sudo dnf install fedora-repos-rawhide`` followed by
   ``sudo dnf update --enablerepo=rawhide kernel``:
Not tested.

6. Are you running any modules that not shipped with directly Fedora's kernel?:
No.

7. Please attach the kernel logs. You can get the complete kernel log
   for a boot with ``journalctl --no-hostname -k > dmesg.txt``. If the
   issue occurred on a previous boot, use the journalctl ``-b`` flag.
Attached.

Comment 1 plumlis 2022-03-17 02:37:30 UTC
Same here.
 still in kernel 5.17 rc8

Comment 2 plumlis 2022-03-24 13:30:25 UTC
I tried kernel 5.17 and it still have this issue

But disable bluetooth can slove it.

maybe this is something related:

Bluetooth: hci0: command 0x0408 tx timeout

Comment 3 Hans de Goede 2022-03-24 13:50:32 UTC
There have been some reports about bluetooth connectivity issues in 5.17-rc# and those have been fixed in the final 5.17, please give that version a try: https://koji.fedoraproject.org/koji/buildinfo?buildID=1937608

For instructions on installing a kernel directly from koje (the Fedora buildsystem) see:
https://fedorapeople.org/~jwrdegoede/kernel-test-instructions.txt

Comment 4 plumlis 2022-03-25 02:50:42 UTC
(In reply to Hans de Goede from comment #3)
> There have been some reports about bluetooth connectivity issues in 5.17-rc#
> and those have been fixed in the final 5.17, please give that version a try:
> https://koji.fedoraproject.org/koji/buildinfo?buildID=1937608
> 
> For instructions on installing a kernel directly from koje (the Fedora
> buildsystem) see:
> https://fedorapeople.org/~jwrdegoede/kernel-test-instructions.txt

Hi. thanks for your kindly advice.

I tried with final kernel 5.17 and the issue is still.

But after I turn off bluetooth, suspend works again.

Kernel 5.17 rc7 and earilier version have bluetooth issue which can't find bluetooth mouse and rc8 fixed that, but it's not about suspend.

Now I'm on kernel 5.16.17 fc35.everything is fine.

Comment 5 Robin Lee 2022-03-25 16:13:27 UTC
(In reply to plumlis from comment #2)
> I tried kernel 5.17 and it still have this issue
> 
> But disable bluetooth can slove it.
> 
> maybe this is something related:
> 
> Bluetooth: hci0: command 0x0408 tx timeout

Good catch! I upgraded to 5.17 again and confirmed that s2idle works with Bluetooth disabled.

Comment 6 plumlis 2022-04-01 01:25:21 UTC
Disable "Always on usb" in Bios Can solove this issue.

Comment 7 Hans de Goede 2022-04-01 10:06:30 UTC
There are some more 5.17 bluetooth fixes queued up for 5.17.2, please give 5.17.2 a try (with the "Always on usb" Bios option enabled) once it has been released and build for Fedora.

Comment 8 plumlis 2022-04-05 02:10:55 UTC
I tried kernel 5.18 rc1. It seems fixed this issue.

Hope we can have luck on kernel 5.17.2.

Comment 9 Robin Lee 2022-04-14 01:37:12 UTC
It seems not fixed with 5.17.2.

Comment 10 plumlis 2022-05-04 21:23:45 UTC
Some progress on this bug.

https://bugzilla.kernel.org/show_bug.cgi?id=215768

It related to this commit

80740ebb7e1ad15ab9c11425dcd26e073f86d74b
Bluetooth: hci_sync: Fix hci_update_accept_list_sync

Comment 11 Peter F. Patel-Schneider 2022-08-01 13:43:17 UTC
This appears to be fixed in the current version of Fedora.  At least I had this problem in the past and it doesn't appear to be happening any more.

Version info:
kernel 5.18.13-200.fc36.x86_64
bluez.x86_64 5.65-1.fc36

Comment 12 Ben Cotton 2023-04-25 16:55:15 UTC
This message is a reminder that Fedora Linux 36 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 36 on 2023-05-16.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '36'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version. Note that the version field may be hidden.
Click the "Show advanced fields" button if you do not see it.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 36 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 13 Ludek Smid 2023-05-25 17:01:02 UTC
Fedora Linux 36 entered end-of-life (EOL) status on 2023-05-16.

Fedora Linux 36 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora Linux
please feel free to reopen this bug against that version. Note that the version
field may be hidden. Click the "Show advanced fields" button if you do not see
the version field.

If you are unable to reopen this bug, please file a new report against an
active release.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.